<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>calc numbers</title>
</head>
<body>
    <script>

      let num1 = +prompt('enter first number');
      let num2 = +prompt('enter second number');
      

      while(isNaN(num1) || !num1){
        num1 = +prompt('enter first number', num1);
      }
      while(isNaN(num2) || !num2){
        num2 = +prompt('enter second number', num2);
      }
      
      let mathOperation = prompt('enter math operation');
     
      console.log(calcMathOperation(num1, num2, mathOperation))
      
      function calcMathOperation(num1, num2, operation){        
          if (operation === '+'){
              return  num1 + num2
          }
          else if(operation === '-'){
              return  num1 - num2
          }
          else if (operation === '/'){
              return  num1/num2
          }
          else{
              return  num1*num2
          }
      }

    </script>
</body>
</html>